Cyberduck Mountain Duck CLI

#3993 closed defect (worksforme)

Crashes upon application launch in mach_msg_server

Reported by: jacopo.nuzzi@… Owned by: dkocher
Priority: high Milestone:
Component: core Version: 3.3
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

This is the error:

Process:         Cyberduck [466]
Path:            /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  launchd [111]

Date/Time:       2009-12-09 09:10:49.408 +0100
OS Version:      Mac OS X 10.6.2 (10C540)
Report Version:  6

Interval Since Last Report:          131006 sec
Crashes Since Last Report:           23
Per-App Crashes Since Last Report:   19
Anonymous UUID:                      9ECB4346-1DFC-46AC-87CB-4CF05B15BF8C

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  3


 0x1800000 -  0x1b50ffb  libclient.dylib ??? (???) <A1BC00EA-6C14-2A98-3CA4-CA910B38771C> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0-leopard/Libraries/libclient.dylib
 0x2800000 -  0x2bf6fe7  libclient.dylib ??? (???) <6B8B4A7E-2844-3AD6-239E-122121D37485> /System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Libraries/libclient.dylib

Change History (6)

comment:1 Changed on Dec 9, 2009 at 10:36:05 PM by dkocher

  • Summary changed from Cyberduck crashes on open to Crashes upon application launch in mach_msg_server

comment:2 Changed on Dec 9, 2009 at 10:53:03 PM by dkocher

#3998 closed as duplicate.

comment:3 Changed on Dec 9, 2009 at 10:55:27 PM by dkocher

Filed as radar Bug ID# 7458303.

comment:4 follow-up: Changed on Dec 10, 2009 at 10:51:34 PM by mike@…

Further data: I went into info.plist w/in Cyberduck.app and changed jvm 1.5+ to 1.6+ and Cyberduck now launches. I suspect the problem I had might be due to the lastest jvm from Apple I installed, related somehow to this post: http://lists.apple.com/archives/Java-dev/2009/Dec/msg00166.html

Note Mike Swingler's comments about libclient.dylib.

comment:5 in reply to: ↑ 4 Changed on Dec 11, 2009 at 9:37:25 AM by dkocher

  • Description modified (diff)
  • Resolution set to worksforme
  • Status changed from new to closed

Replying to mike@…:

Further data: I went into info.plist w/in Cyberduck.app and changed jvm 1.5+ to 1.6+ and Cyberduck now launches. I suspect the problem I had might be due to the lastest jvm from Apple I installed, related somehow to this post: http://lists.apple.com/archives/Java-dev/2009/Dec/msg00166.html

Note Mike Swingler's comments about libclient.dylib.

Thanks for the update. That indeed seems to be the cause for users manually moving a Java 5 installation from Mac OS X 10.5 to 10.6. This is a hacked installation not supported.

comment:6 Changed on Jan 10, 2010 at 3:08:31 PM by Lon B.

FYI... dkocher's comment worked perfectly for me.

Note: See TracTickets for help on using tickets.